Index: Singular/LIB/multigrading.lib
===================================================================
--- Singular/LIB/multigrading.lib	(revision 81c5cb527652f63d452271f23b77c68d09305948)
+++ Singular/LIB/multigrading.lib	(revision 9ec1669f774f9fd5bc45c6c9b8b224cff15ab286)
@@ -15,5 +15,5 @@
 
 OVERVIEW: This library allows one to virtually add multigradings to Singular:
-grade multivariate polynomial rings with arbitrary (fin. gen. Abelian) groups.
+grade multivariate polynomial rings with arbitrary (fin. gen. Abelian) groups. 
 For more see http://code.google.com/p/convex-singular/wiki/Multigrading
 For theoretical references see:
@@ -425,7 +425,7 @@
   // And now a quick-and-dirty fix of Singular inability to handle attribs of attribs:
   // For the use of a group as an attribute for multigraded rings
-  G[3] = attrib(L, attrGroupHNF);
+  G[3] = attrib(L, attrGroupHNF); 
   G[4] = attrib(L, attrGroupSNF);
-
+  
 
   attrib(G, isGroup, (1==1)); // mark it "a group"
@@ -584,5 +584,5 @@
 
   isGroup(G);
-
+  
   printGroup(G);
 
@@ -960,5 +960,5 @@
 
 
-  def T = G[2];
+  def T = G[2]; 
 
   if( size(#) >= i )
@@ -970,5 +970,5 @@
       ERROR("Sorry wrong arguments!");
     }
-
+    
     if( a == "hermite" )
     {
@@ -1107,5 +1107,5 @@
                   0,1,3,4;
   setBaseMultigrading(MM);
-
+  
   module M = ideal(  xw-yz, x2z-y3, xz2-y2w, yw2-z3);
 
@@ -1131,5 +1131,5 @@
   print(v);
   print(setModuleGrading(v));
-
+  
   isHomogeneous(v);
 
@@ -1573,5 +1573,5 @@
   while(av[1]*bv[1] != 0)
   {
-    bv = bv - (bv[1] - bv[1]%av[1]) div av[1] * av;
+    bv = bv - (bv[1] - bv[1]%av[1])/av[1] * av;
     save = bv;
     bv = av;
@@ -1664,5 +1664,5 @@
                   -46,32,37,42,15;
   lll(m);
-
+  
   list l =
       intvec(13,25,37, 83, 294),
@@ -1698,24 +1698,20 @@
   // D;
   intvec v;
-  if((cc==1)||(rr==1))
-  {
+  if((cc==1)||(rr==1)){
     if(size(#)==0)
     {
       return(D);
-    }
-    else
+    } else
     {
       return(list(P,D,Q));
     }
   }
-  while(D[k+1,k+1] !=0)
-  {
-    if(D[k+1,k+1]%D[k,k]!=0)
-    {
+  while(D[k+1,k+1] !=0){
+    if(D[k+1,k+1]%D[k,k]!=0){
       b = D[k, k]; c = D[k+1, k+1];
       v = gcdcomb(D[k,k],D[k+1,k+1]);
       transform = unitMatrix(cc);
       transform[k+1,k] = 1;
-      a = -v[3]*D[k+1,k+1] div v[1];
+      a = -v[3]*D[k+1,k+1]/v[1];
       transform[k, k+1] = a;
       transform[k+1, k+1] = a+1;
@@ -1727,6 +1723,6 @@
       transform[k,k] = v[2];
       transform[k,k+1] = v[3];
-      transform[k+1,k] = -c div v[1];
-      transform[k+1,k+1] = b div v[1];
+      transform[k+1,k] = -c/v[1];
+      transform[k+1,k+1] = b/v[1];
       D = transform * D;
       P = transform * P;
@@ -1738,16 +1734,12 @@
     }
     k++;
-    if((k==rr) || (k==cc))
-    {
+    if((k==rr) || (k==cc)){
       break;
     }
   }
   //"here is the size ",size(#);
-  if(size(#) == 0)
-  {
+  if(size(#) == 0){
     return(D);
-  }
-  else
-  {
+  } else {
     return(list(P, D, Q));
   }
@@ -1829,7 +1821,7 @@
               v2 = A[1..rr,j];
               transform = unitMatrix(cc);
-              transform[j,j] = v1[row] div gcdvec[1];
+              transform[j,j] = v1[row]/gcdvec[1];
               transform[column, column] = gcdvec[2];
-              transform[column,j] = -v2[row] div gcdvec[1];
+              transform[column,j] = -v2[row]/gcdvec[1];
               transform[j,column] = gcdvec[3];
               q = q*transform;
@@ -1848,5 +1840,5 @@
         if(A[row, j]!=0){
           transform = unitMatrix(cc);
-          transform[column, j] = (-A[row,j]+A[row, j]%A[row, column]) div A[row, column];
+          transform[column, j] = (-A[row,j]+A[row, j]%A[row, column])/A[row, column];
           if(A[row,j]<0){
             transform[column,j]=transform[column,j]+1;}
@@ -1938,5 +1930,5 @@
   ideal I = a, b;
   print(multiDeg(I));
-
+  
   intmat m[5][2]=multiDeg(a),multiDeg(b); m=transpose(m);
 
@@ -1945,5 +1937,5 @@
 
   print(m);
-
+ 
   areZeroElements(m);
 
@@ -1982,5 +1974,5 @@
     kill a;
   }
-
+  
   if( i == 1 )
   {
@@ -2009,5 +2001,5 @@
       {
         v = H[1..r,i];
-        mdeg = mdeg-(mdeg[row]-mdeg[row]%v[row]) div v[row]*v;
+        mdeg = mdeg-(mdeg[row]-mdeg[row]%v[row])/v[row]*v;
       }
     }
@@ -2206,5 +2198,5 @@
   intmat newgrad[pp][np];
 
-  //This will set the finest grading on the image ring. We will proceed by coarsening this grading until f becomes homogeneous.
+  //This will set the finest grading on the image ring. We will proceed by coarsening this grading until f becomes homogeneous. 
   for(i=1;i<=np;i++){ newgrad[p+i,i]=1;}
 
@@ -2224,5 +2216,5 @@
     for(j=1;j<=n;j++){ toadd1[i,j]=oldgrad[i,j];}
   }
-
+  
   // This will make the images of homogeneous elements homogeneous, namely the variables of the preimage ring.
   for(i=1;i<=n;i++){
@@ -2271,5 +2263,5 @@
     columns=columns+ncols(newlat[k]);
   }
-
+  
   //The following is just for reducing the size of the matrices.
   gragr=hermiteNormalForm(gragr);
@@ -4770,5 +4762,5 @@
     3,6,12;
 
-  intmat B = latticeBasis(L);
+  intmat B = latticeBasis(L); 
   print(B); // should result in a matrix whose columns generate the same lattice as  [1,2,3] and [0,3,6]:
 
@@ -4851,5 +4843,5 @@
   // generate the same lattice as [-1,2,-1,0],[2,-3,0,1]
   intmat B = kernelLattice(LL);
-
+  
   print(B);
 
@@ -5079,8 +5071,8 @@
       // we want a matrix with column operations so we transpose
       intmat BB = transpose(B);
-      list L = hermiteNormalForm(BB, "transform");
+      list L = hermiteNormalForm(BB, "transform"); 
       intmat U = transpose(L[2]);
 
-
+ 
       // delete rows 1 to r
       intmat Udel[nrows(U) - r][ncols(U)];
@@ -5306,5 +5298,5 @@
     2,1,
     3,2;
-
+  
   intmat D  = intInverse(C);
 
@@ -5609,5 +5601,5 @@
 
   // should return a (3x2)-matrix whose columns
-  // generate the same lattice as [1, 2, 3] and [0, 1, 2]
+  // generate the same lattice as [1, 2, 3] and [0, 1, 2] 
   intmat R = primitiveSpan(V);
   print(R);
@@ -5619,5 +5611,5 @@
 
   // should return a (2x2)-matrix whose columns
-  // generate the same lattice as [1, 0] and [0, 1]
+  // generate the same lattice as [1, 0] and [0, 1] 
   intmat S = primitiveSpan(W);
   print(S);
